Subject: Re: 25.0.50; vc.el with RCS: undefined function `vc-master-name'

From: "Eric S. Raymond" <[email-masked]>
Date: Wed, 26 Nov 2014 12:50:21 -0500

Simon Leinen <[email-masked]>:
> When I run "./src/emacs -Q" and open a file that's under RCS version
> control, I get the following error:
> 
>   Symbol's function definition is void: vc-master-name
> 
> This function is defined in the new `vc-filewise.el'.
> 
> It is called from vc-rcs.el and vc-sccs.el.  These two files also call
> `vc-rename-master'.  For `vc-rename-master', autoloads are defined in
> `vc-rcs.el' and `vc-sccs.el'; but the autoloads still point to "vc"
> rather than "vc-filewise".  I fixed that and also added autoloads for
> `vc-master-name'.  So please consider the following patch.  With it,
> this error should be gone.  I still run into another issue, which I'll
> report separately.

I will merge.  *Very* odd that I didn't run into my RCS testing.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>